BEGIN
  DBMS_AQADM.CREATE_QUEUE_TABLE(
    QUEUE_TABLE        => '"&1".RECEIVE_FROM_SOLACE_QUEUE_TABLE',
    SORT_LIST          => 'PRIORITY,ENQ_TIME', 
    QUEUE_PAYLOAD_TYPE => 'SYS.AQ$_JMS_TEXT_MESSAGE');

  DBMS_AQADM.CREATE_QUEUE(
    QUEUE_NAME         => '"&1".RECEIVE_FROM_SOLACE_QUEUE',
    QUEUE_TABLE        => '"&1".RECEIVE_FROM_SOLACE_QUEUE_TABLE');

  DBMS_AQADM.START_QUEUE(
    QUEUE_NAME         => '"&1".RECEIVE_FROM_SOLACE_QUEUE');
END;
/
BEGIN
  DBMS_AQADM.CREATE_QUEUE_TABLE(
    QUEUE_TABLE        => '"&1".SEND_TO_SOLACE_QUEUE_TABLE',
    QUEUE_PAYLOAD_TYPE => 'SYS.AQ$_JMS_TEXT_MESSAGE');

  DBMS_AQADM.CREATE_QUEUE(
    QUEUE_NAME         => '"&1".SEND_TO_SOLACE_QUEUE',
    QUEUE_TABLE        => '"&1".SEND_TO_SOLACE_QUEUE_TABLE');

  DBMS_AQADM.START_QUEUE(
    QUEUE_NAME         => '"&1".SEND_TO_SOLACE_QUEUE');
END;
/
exit;